Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.subsystem
Class AddFileBinaryStorage

    java.lang.Object
      org.jboss.as.controller.AbstractAddStepHandler
          org.modeshape.jboss.subsystem.AbstractAddBinaryStorage
              org.modeshape.jboss.subsystem.AddFileBinaryStorage

All Implemented Interfaces:
  org.jboss.as.controller.OperationStepHandler

    public class AddFileBinaryStorage

extends AbstractAddBinaryStorage

Field Summary
`protected static String` | `DATA_DIR_VARIABLE`
`static AddFileBinaryStorage` | `INSTANCE`

Method Summary
`protected void` | `addControllersAndDependencies(String repositoryName, BinaryStorageService service, org.jboss.msc.service.ServiceBuilder<BinaryStorage> builder, List<org.jboss.msc.service.ServiceController<?>> newControllers, org.jboss.msc.service.ServiceTarget target)`
`protected void` | `writeBinaryStorageConfiguration(String repositoryName, org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode model, EditableDocument binaries)`

Methods inherited from class org.modeshape.jboss.subsystem.AbstractAddBinaryStorage
`performRuntime, populateModel`

Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler
`execute, populateModel, populateModel, requiresRuntime, requiresRuntimeVerification, rollbackRuntime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final AddFileBinaryStorage INSTANCE

### DATA_DIR_VARIABLE

    protected static final String DATA_DIR_VARIABLE

See Also:
  Constant Field Values

Method Detail

### writeBinaryStorageConfiguration

    protected void writeBinaryStorageConfiguration(String repositoryName,
                                                   org.jboss.as.controller.OperationContext context,
                                                   org.jboss.dmr.ModelNode model,
                                                   EditableDocument binaries)
                                            throws org.jboss.as.controller.OperationFailedException

  Specified by:
    `writeBinaryStorageConfiguration` in class `AbstractAddBinaryStorage`
  Throws:
    `org.jboss.as.controller.OperationFailedException`

### addControllersAndDependencies

    protected void addControllersAndDependencies(String repositoryName,
                                                 BinaryStorageService service,
                                                 org.jboss.msc.service.ServiceBuilder<BinaryStorage> builder,
                                                 List<org.jboss.msc.service.ServiceController<?>> newControllers,
                                                 org.jboss.msc.service.ServiceTarget target)

  Overrides:
    `addControllersAndDependencies` in class `AbstractAddBinaryStorage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.